net.i2p.crypto

## Class DummyDSAEngine

- java.lang.Object
- - net.i2p.crypto.DSAEngine
  - - net.i2p.crypto.DummyDSAEngine

-     public class DummyDSAEngine
      extends DSAEngine

  Stub that offers no authentication.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DummyDSAEngine(I2PAppContext context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Signature` | `sign(byte[] data, SigningPrivateKey signingKey)` Sign using DSA-SHA1.
    `boolean` | `verifySignature(Signature signature, byte[] signedData, SigningPublicKey verifyingKey)` Verify using DSA-SHA1.

    - ### Methods inherited from class net.i2p.crypto.DSAEngine

      `calculateHash, calculateHash, getInstance, main, sign, sign, sign, sign, verifySignature, verifySignature, verifySignature, verifySignature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DummyDSAEngine

          public DummyDSAEngine(I2PAppContext context)

  - ### Method Detail

    - #### verifySignature

          public boolean verifySignature(Signature signature,
                                byte[] signedData,
                                SigningPublicKey verifyingKey)

      Description copied from class: `DSAEngine`
      Verify using DSA-SHA1. Uses TheCrypto code unless configured to use the java.security libraries.
      Overrides:
        `verifySignature` in class `DSAEngine`

    - #### sign

          public Signature sign(byte[] data,
                       SigningPrivateKey signingKey)

      Description copied from class: `DSAEngine`
      Sign using DSA-SHA1. Uses TheCrypto code unless configured to use the java.security libraries.
      Overrides:
        `sign` in class `DSAEngine`